apiVersion: tekton.dev/v1beta1
kind: Pipeline
metadata:
  name: pl-tt-zansible
spec:
  workspaces:
    - name: myworkspace
  tasks:
    - name: fetch-repository-zosdemo
      taskRef:
        name: git-clone
      workspaces:
        - name: output
          workspace: myworkspace
      params:
        - name: url
          value: https://github.ibm.com/edwardmc/zocpAnsibleDemo.git
        - name: deleteExisting
          value: "true"
    - name: demozansible
      taskRef:
        name: zansible
      runAfter:
        - fetch-repository-zosdemo
      workspaces:
        - name: source
          workspace: myworkspace
      params:
        - name: ANSIBLE_CONFIG
          value: /tmp/ansibleCfg
        - name: PLAYBOOK
          value: /workspace/source/playbooks/zos-verify.yaml
        - name: Inventory
          value: /workspace/source/environments/dev
    - name: demozansible-dbb
      taskRef:
        name: zansible
      runAfter:
        - fetch-repository-zosdemo
      workspaces:
        - name: source
          workspace: myworkspace
      params:
        - name: ANSIBLE_CONFIG
          value: /tmp/ansibleCfg
        - name: PLAYBOOK
          value: /workspace/source/playbooks/ansible-dbbDemo.playbook
        - name: Inventory
          value: /workspace/source/environments/dev
        - name: dbbParms
          value: /workspace/source/playbooks/ansible-dbbDemo-parms-cicsIvp.yaml


